=== debian/changelog ===
cups (1.5.2-5) unstable; urgency=low

  * debian/patches/commandtops-make-robust-against-broken-postscript.patch:
    CUPS' commandtops filter allows auto-configuration of the default option
    settings of PostScript printers querying the printer using PostScript
    commands defined in the PPD file ("*?..." entries). Problem is that if
    one of the query commands has a PostScript error (rather common in
    manufacturer-supplied PPD files) the printer errors out and ignores all
    subsequent queries putting the auto-configuration job into a 90-second
    timeout for each query. This patch protects the job against failures
    on broken PostScript and shortens the timeout to 10 seconds, so that
    as many options as possible get auto-configured in a reasonable time.
    Thanks to Helge Blischke for applying the needed PostScript tricks
    (CUPS STR #4028). No auto-configuration of PostScript printers actually
    works by sending a job like 'echo -en '#CUPS-COMMAND\nAutoConfigure\n' |
    lp -d <printer>' which could be done by a button in a printer setup tool.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 23 Feb 2012 14:52:01 +0100

cups (1.5.2-4) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/local/blacklist-cups-usblp.conf, debian/cups.install: Removed
    the blacklisting of the "usblp" kernel module. The new libusb-1.0.x-
    based "usb" backend automatically disconnects the module from the
    printer with which it communicates and reconnects it afterwards. This
    way we can keep the module available for third-party drivers but let
    the CUPS backend use the more modern libusb method, especially
    providing bi-di access for all printers (CUPS STR #3626).

  [ Martin Pitt ]
  * Clean up /etc/modprobe.d/blacklist-cups-usblp.conf conffile on upgrade,
    using dpkg-maintscript-helper. Add necessary dpkg pre-depends for this.
  * debian/cups.{pre,post}inst: Remove upgrade transitions for versions prior
    to Debian Squeeze/Ubuntu 10.04 LTS.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 16 Feb 2012 11:28:36 +0100

cups (1.5.2-3) unstable; urgency=low

  * debian/patches/usb-backend-backchannel-support.patch: Added backchannel
    (bi-directional access) support to the "usb" backend. This allows things
    like status checks, auto-configuration (run command "echo -en
    '#CUPS-COMMAND\nAutoConfigure\n' | lpr -P <printer>" on USB-connected
    PostScript printer with manufacturer's PPD), and also use of proprietary
    manufacturer drivers which require read-back from printer (CUPS STR #2890).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 09 Feb 2012 06:17:57 +0100

cups (1.5.2-2) unstable; urgency=low

  * debian/patches/series: Actually add the new patches for the IPP backend and
    the SNMP supply level check (LP: #879625, LP: #881843, LP: #925086,
    LP: #926457).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 07 Feb 2012 17:57:57 +0100

cups (1.5.2-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
  * debian/patches/00svn_gif_overflow.patch,
    debian/patches/cups-driverd-recognize-cached-drv-generated-ppds.patch,
    debian/patches/dont-send-malformed-dbus-messages.patch,
    debian/patches/execute-commandtops-commands.patch,
    debian/patches/usb-backend-gracefully-fail-on-more-cases-of-bad-device-id.patch,
    debian/patches/usb-backend-skip-set-configuration-set-interface.patch:
    Removed, included upstream.
  * debian/patches/ipp-patch-r8950+.patch,
    debian/patches/ipp-backend-fails-to-trigger-authentication-prompts.patch,
    debian/patches/ipp-backend-missing-document-type.patch,
    debian/patches/ipp-backend-http-1.0-fallback-fix.patch: Replaced patch
    for downgrading to the IPP backend to the version of CUPS 1.4.x by patches
    for the current backend (LP: #879625, LP: #881843, CUPS STR #3985,
    CUPS STR #3986, CUPS STR #3988, thanks to Robert Bradley, robert dot
    bradley1 at gmail dot com, for the patches).
  * debian/patches/drop_unnecessary_dependencies.patch: Updated patch to
    add "-lm" to the linker command line, libcups uses the "fmod()" function
    now.
  * debian/patches/cups-avahi.patch,
    debian/patches/usb-backend-libusb-1.0.patch,
    debian/patches/printer-filtering.patch:
    Manually regenerated to adapt to upstream changes.
  * debian/patches/pidfile.patch,
    debian/patches/rootbackends-worldreadable.patch,
    debian/patches/colord-support.patch,
    debian/patches/airprint-support.patch,
    debian/patches/no-conffile-timestamp.patch,
    debian/patches/read-embedded-options-from-incoming-postscript-and-add-to-ipp-attrs.patch,
    debian/patches/do-not-broadcast-with-hostnames.patch,
    debian/patches/do-not-suppress-inputslot-setting-with-empty-ap-d-inputslot.patch,
    debian/patches/confdirperms.patch,
    debian/patches/show-compile-command-lines.patch,
    debian/patches/log-debug-history-nearly-unlimited.patch,
    debian/patches/dnssd-reg-array-linear-search.patch:
    Refreshed using quilt.
  * debian/patches/fix-supply-level-computation-for-percent-supply-unit.patch,
    debian/patches/fix-supply-levels-for-enumerated-prtmarkersupplieslevel.patch,
    debian/patches/fix-status-reports-when-supply-levels-grow.patch:
    The printer supply levels reported via SNMP, according to the printer MIB
    were not correctly interpreted (LP: #925086, CUPS STR #4016, thanks to
    Peter Hurley, peter at hurleysoftware dot com, for the patches).
  * debian/patches/add-status-reports-for-full-waste-trays-and-cleaner-unit-eol.patch:
    Added status reports for waste tray status and cleaner unit end-of-life
    (LP: #925086, CUPS STR #4017, thanks to Peter Hurley, peter at
    hurleysoftware dot com, for the patch).
  * debian/patches/match-marker-colorants-which-use-non-standard-string.patch:
    Try harder to match supply colorant values (LP: #925086, CUPS STR #4019,
    thanks to Peter Hurley, peter at hurleysoftware dot com, for the patch).

