=== debian/control ===
Source: cups
Standards-Version: 3.9.2
Priority: optional
Section: net
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Uploaders: 
 Masayuki Hatta (mhatta) <mhatta@debian.org>,
 Till Kamppeter <till.kamppeter@gmail.com>,
 Roger Leigh <rleigh@debian.org>, 
 Jeff Licquia <licquia@debian.org>,
 Kenshi Muto <kmuto@debian.org>, 
 Martin Pitt <mpitt@debian.org>
Build-Depends: 
 autoconf, automake, autotools-dev,
 cdbs (>= 0.4.93~), debhelper (>= 8.1.3~), 
 ghostscript (>= 9.02~), hardening-wrapper, 
 libavahi-client-dev, libavahi-common-dev, libavahi-compat-libdnssd-dev, 
 libdbus-1-dev, libfontconfig1-dev, libfreetype6-dev, libgnutls-dev, 
 libijs-dev, libjpeg-dev, libldap2-dev, 
 libkrb5-dev,
 libpam0g-dev, libpaper-dev, libpng12-dev, 
 libslp-dev, libtiff4-dev, libtool, libusb-1.0-0-dev [!hurd-any], 
 patch, pkg-config, po4a (>= 0.31~), po-debconf, poppler-utils, 
 sharutils, zlib1g-dev
Homepage: http://www.cups.org
Vcs-Bzr: http://bzr.debian.org/pkg-cups/cups/debian-trunk/
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-cups/cups/debian-trunk/

Package: libcups2
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: cups-common
Provides: libcupsys2
Conflicts: libcupsys2
Replaces: libcupsys2
Breaks: cups (<< 1.5.0)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - Core library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the base shared libraries for CUPS.

Package: libcupsimage2
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - Raster image library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the image libraries for handling the CUPS
 raster format.

Package: libcupscgi1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - CGI library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides a shared library for CGI programs in the
 CUPS web interface

Package: libcupsdriver1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - Driver library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides a shared library with useful functions for printer
 drivers.

Package: libcupsmime1
Priority: optional
Section: libs
Architecture: any
Depends: libcups2 (>= 1.5~), ${shlibs:Depends}, ${misc:Depends}
Breaks: cups (<< 1.5.0)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - MIME library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides a shared library for file type detection and
 file conversion filter chain building.

Package: libcupsppdc1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - PPD manipulation library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the base shared library for generating and
 manipulating PPD files.

Package: cups
Priority: optional
Section: net
Architecture: any
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0,
 poppler-utils (>= 0.12), procps, ghostscript (>= 9.02~), lsb-base (>= 3),
 cups-common (>= ${source:Upstream-Version}), 
 cups-client (>= ${binary:Version}),
 ssl-cert (>= 1.0.11), adduser, bc, cups-ppdc, cups-filters
Recommends: avahi-daemon, colord, foomatic-filters (>= 4.0), 
 cups-driver-gutenprint, ghostscript-cups (>= 9.02~)
Suggests: cups-bsd, foomatic-db-compressed-ppds | foomatic-db,
 hplip, cups-pdf, udev, smbclient
Replaces: cupsddk-drivers (<< 1.4.0), ghostscript-cups (<< 9.02~)
Provides: cupsddk-drivers
Breaks: cupsddk-drivers (<< 1.4.0), foomatic-filters (<< 4.0), ghostscript-cups (<< 9.02~)
Description: Common UNIX Printing System(tm) - server
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the CUPS scheduler/daemon and related files.

Package: cups-client
Priority: optional
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 cups-common (>= ${source:Upstream-Version}), adduser
Recommends: smbclient
Suggests: cups, xpp, cups-bsd
Conflicts: lprng
Description: Common UNIX Printing System(tm) - client programs (SysV)
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the System V style print client programs.

Package: libcups2-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcups2 (= ${binary:Version}), 
 libgnutls-dev, libkrb5-dev
Provides: libcupsys2-dev
Description: Common UNIX Printing System(tm) - Development files CUPS library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing CUPS-aware
 applications and CUPS drivers, as well as examples how to communicate
 with cups from different programming languages (Perl, Java, and
 PHP).

Package: libcupsimage2-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 libcupsimage2 (= ${binary:Version}), libcups2-dev (= ${binary:Version}), 
 libpng-dev, libtiff4-dev, libjpeg8-dev | libjpeg-dev, zlib1g-dev
Description: Common UNIX Printing System(tm) - Development files CUPS image library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing applications
 that use the CUPS raster image format.

Package: libcupscgi1-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcupscgi1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files for CGI library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing CGI programs
 for the CUPS web interface using libcupscgi.

Package: libcupsdriver1-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcupsdriver1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version}), libcupsimage2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files driver library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing printer drivers
 using libcupsdriver.

Package: libcupsmime1-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcupsmime1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files MIME library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing programs
 using libcupsmime.

Package: libcupsppdc1-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcupsppdc1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files PPD library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing programs
 using libcupsppdc.

Package: cups-bsd
Priority: extra
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 cups-client (= ${binary:Version}),
 debconf | debconf-2.0, update-inetd, cups-common
Suggests: cups
Conflicts: lpr, lprng
Replaces: lpr
Provides: lpr
Description: Common UNIX Printing System(tm) - BSD commands
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpr, lpd and the like.  It supports the
 Internet Printing Protocol (IPP), and has its own filtering driver
 model for handling various document types.
 .
 This package provides the BSD commands for interacting with CUPS.  It
 is provided separately to allow CUPS to coexist with other printing
 systems (to a small degree).

Package: cups-common
Priority: optional
Section: net
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Common UNIX Printing System(tm) - common files
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides common files for CUPS server and client packages.

Package: cups-ppdc
Priority: optional
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cups-common
Breaks: cupsddk (<< 1.4.0)
Replaces: cupsddk (<< 1.4.0)
Provides: cupsddk
Description: Common UNIX Printing System(tm) - PPD manipulation utilities
